Bug 514617 - Bodhi has odd copyright statement on webpages
Bodhi has odd copyright statement on webpages
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
Reported: 2009-07-29 16:56 EDT by Josh Boyer
Modified: 2016-09-19 22:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-31 15:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Add GPL information to footer (1.60 KB, patch)
2009-07-30 00:52 EDT, Toshio Kuratomi
no flags Details | Diff

  None (edit)
Description Josh Boyer 2009-07-29 16:56:05 EDT
Description of problem:

The current bodhi server has:

Bodhi Version: 0.6.1 -- Server: app1
Copyright © 2007-2008 Red Hat, Inc. and others. All Rights Reserved.

However, bodhi itself is licensed under GPLv2+.  The "All Rights Reserved" is technically incorrect here.

It should likely omit the "All Rights Reserved" portion entirely, and possibly add an "Licensed under the GNU Public License v2 or later."
Comment 1 Toshio Kuratomi 2009-07-30 00:52:01 EDT
CC'ing spot to explain the All Rights Reserved portion.

Adding the "Licensed under[...] GPL" line to the footer is fairly easy.  I'll attach a patch although Luke probably doesn't need it :-)
Comment 2 Toshio Kuratomi 2009-07-30 00:52:55 EDT
Created attachment 355640 [details]
Add GPL information to footer
Comment 3 Tom "spot" Callaway 2009-07-30 10:33:59 EDT
Just drop the "All Rights Reserved". It isn't accurate, since the GPL explicitly grants rights that would otherwise be "reserved".
Comment 4 Toshio Ernie Kuratomi 2009-07-30 13:01:13 EDT
Every Fedora web property that I know of has that phrase in its standard footer.  Do we need to strip it from everything? (wiki, static web, all web applications, etc).

I always thought it had to be either some difference between copyright and license or that you first claim all rights and then give a subset to others under the license agreement but if that's not the case we should remove it where ever it isn't proper to have it.

Oh -- and is it different in the headers of code or should we remove it from there when/if we do a relicensing of the code we write in Infrastructure?
Comment 5 Tom "spot" Callaway 2009-07-30 13:05:52 EDT
No, its not different in headers of code. We should not be using this "all rights reserved" wording anywhere, except perhaps in things explicitly trademark restricted (like the Fedora logos).
Comment 6 Toshio Ernie Kuratomi 2009-07-30 13:41:07 EDT
Okay, opened a fedora infrastructure ticket to remove all instances of "All rights reserved" in footers/templates/etc.  

Comment 7 Luke Macken 2009-07-31 15:30:26 EDT
Patch applied in git.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.